Bug 1323762 - Fonts problem after resume from suspend: characters randomly missing (XFCE)
Summary: Fonts problem after resume from suspend: characters randomly missing (XFCE)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 23
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1326294 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-04 15:46 UTC by markusN
Modified: 2016-12-20 19:47 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 19:47:38 UTC


Attachments (Terms of Use)
example screenshot of garbled fonts (47.53 KB, image/png)
2016-04-04 15:46 UTC, markusN
no flags Details
Fonts messed up in XFCE terminal (129.43 KB, image/png)
2016-04-04 16:57 UTC, markusN
no flags Details
lshw output from asus zenbook (14.72 KB, text/plain)
2016-04-28 19:00 UTC, Ilkka Tengvall
no flags Details

Description markusN 2016-04-04 15:46:51 UTC
Created attachment 1143382 [details]
example screenshot of garbled fonts

Starting with kernel-4.4.6-300.fc23.x86_64 there is a weird font problem after resuming my laptop from suspend state. Just a few characters are visible in all programs, XFCE menus etc. Moving the mouse over (menu) text makes some characters appear but others disappear.

Attached a screenshot of the firefox browser as an example (affected also whatever other program and XFCE itself).

Kernel: kernel-4.4.6-300
GUI:    XFCE 
lspci:
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)

It is an Asus X202E laptop which worked fine so far (using Fedora on it for several years).

At time I switched back to kernel 4.4.5-300.fc23.x86_64 to avoid this mess.
The system is updated.

Comment 1 markusN 2016-04-04 16:57:53 UTC
Created attachment 1143393 [details]
Fonts messed up in XFCE terminal

Comment 2 markusN 2016-04-04 17:01:18 UTC
Too bad, it also happens with kernel 4.4.5-300.fc23.x86_64.
Another screenshot attached.

(note: I use this laptop since 2013, never seen such an issue).

lshw excerpt:
...
        *-display
             description: VGA compatible controller
             product: 3rd Gen Core processor Graphics Controller
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 09
             width: 64 bits
             clock: 33MHz
             capabilities: msi pm vga_controller bus_master cap_list rom
             configuration: driver=i915 latency=0
             resources: irq:26 memory:f7800000-f7bfffff memory:e0000000-efffffff ioport:f000(size=64)
...

Comment 3 Illtud Daniel 2016-04-11 20:08:39 UTC
Me too. Quick fix is to use gnome-tweak-tool to change the scaling factor on the fonts, but that's just a workaround, a bug has been introduced somewhere.

Comment 4 utrescu 2016-04-12 10:22:10 UTC
Same problem here with Gnome3 but in my system the problem affects only Gnome Shell fonts.

I found a workaround: 

* edit /etc/fonts/local.conf (add and remove a space) and save the file. 
* The fonts are restored

Comment 5 Kaloyan Petrov 2016-04-14 09:18:31 UTC
I also saw this bug in 4.4.6-301.fc23.
Didn't have it in 4.4.5-300.fc23
I have Thinkpad T520i with processor i3-2310, Fedora 23/XFCE.

Comment 6 Olivier Samyn 2016-04-14 19:20:54 UTC
1326294

Comment 7 Will Newton 2016-04-15 08:49:42 UTC
*** Bug 1326294 has been marked as a duplicate of this bug. ***

Comment 8 Will Newton 2016-04-19 20:00:22 UTC
I did see an instance of the "PCH transcoder a FIFO underrun" error logged by the kernel at the same time as seeing this, not sure if the two are related.

Comment 9 Ilkka Tengvall 2016-04-28 18:27:22 UTC
I don't get the above error, but still suffer the same bug. F23 4.4.7-300.fc23.x86_64.

Comment 10 Ilkka Tengvall 2016-04-28 18:28:21 UTC
xorg-x11-drv-intel-2.99.917-19.20151206.fc23.x86_64

Comment 11 Ilkka Tengvall 2016-04-28 19:00:24 UTC
Created attachment 1152039 [details]
lshw output from asus zenbook

attached the lshw output. I want to add that this happens in gnome3, so it's not XFCE specific bug.

Comment 12 Ilkka Tengvall 2016-04-28 19:10:08 UTC
gosh, why can't I write these in the same comment... I'm on wayland, not in Xorg.
gnome-shell --mode=gdm --wayland --display-server
/usr/bin/Xwayland :1024 -rootless -noreset -listen 4 -listen 5 -displayfd 6

Comment 13 markusN 2016-04-30 16:43:44 UTC
I tried also with the older kernel 4.4.4-301.fc23.x86_64 but the problems appears (sometimes, not at every resume!)

lspci  | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)

rpm -qa | grep x11 | grep intel
xorg-x11-drv-intel-2.99.917-19.20151206.fc23.x86_64

I'll try to downgrade now to the older xorg-x11-drv-intel-2.99.917-18.20151109.fc23 from
http://koji.fedoraproject.org/koji/buildinfo?buildID=700676

Mhh, since it is no longer there, I will go for
https://pkgs.org/fedora-23/fedora-x86_64/xorg-x11-drv-intel-2.99.917-16.20150729.fc23.x86_64.rpm.html

and report back.

Comment 14 Edward 2016-04-30 21:15:14 UTC
I also have this problem.

Comment 15 markusN 2016-05-01 06:32:14 UTC
(In reply to markusN from comment #13)
> Mhh, since it is no longer there, I will go for
> https://pkgs.org/fedora-23/fedora-x86_64/xorg-x11-drv-intel-2.99.917-16.
> 20150729.fc23.x86_64.rpm.html
> 
> and report back.

Broken fonts (like in the already uploaded screenshot) also with this combination after "resume" this morning.

rpm -qa | grep x11 | grep intel
xorg-x11-drv-intel-2.99.917-16.20150729.fc23.x86_64

uname -a
Linux oboe.localdomain 4.4.8-300.fc23.x86_64 #1 SMP Wed Apr 20 16:59:27 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

rpm -qa | grep x11 | grep server
xorg-x11-server-Xorg-1.18.3-1.fc23.x86_64
xorg-x11-server-utils-7.7-17.fc23.x86_64
xorg-x11-server-common-1.18.3-1.fc23.x86_64
xorg-x11-server-Xwayland-1.18.3-1.fc23.x86_64

ps aux | grep X
root     22034  4.3  1.7 489872 67336 tty1     Ssl+ 08:30   0:02 /usr/libexec/Xorg -background none :0 -seat seat0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt1 -novtswitch


To get back into working conditions: logout, login.

Comment 16 markusN 2016-05-01 06:37:51 UTC
See also bug: 1317475

Comment 18 markusN 2016-05-06 14:52:27 UTC
(In reply to markusN from comment #17)
> As per bug 1317475 comment 10 I will now try what was proposed earlier:

So, generating

/etc/X11/xorg.conf.d/20-intel.con
# from https://fedoramagazine.org/solution-graphics-issues-intel-graphics-chipsets-fedora-22/
# https://bugzilla.redhat.com/show_bug.cgi?id=1317475#c10
Section "Device"
Identifier  "card0"
Driver  "intel"
Option  "AccelMethod"  "uxa"
EndSection

along with reboot reduces the problem to not perfectly rendered XFCE background of menu panel items. The font (written menu and text in programs) now remain intact.

Comment 19 Denis Auroux 2016-05-20 20:48:08 UTC
Just in case an extra datapoint is useful: I also have been having this problem under Fedora 22 for a couple months or so, with various kernels starting around 4.4.4 (with older kernels / drivers things were fine; alas I never was able to figure out what single package upgrade was responsible for this bug). I have a Thinkpad Yoga S1 (Haswell, HD Graphics 4400), using Gnome 3.

I have had Option "AccelMethod" "uxa" in my /etc/X11/xorg.conf.d/20-intel.conf for a while and I don't think it helps at all.

"touch /etc/fonts/fonts.conf" discovered in comment #4 above is magical -- fixes the display corruption immediately, though switching to a text console and back to X server causes the display problems to return (+ text console doesn't display properly either, display remains completely blank though I can login and run commands).

Denis

Comment 20 markusN 2016-05-29 19:25:52 UTC
Some interesting observation: I am using xfce4-terminal 0.6.3 with white background and black letters.

I just discovered that in case the letters "disappear", I succeed to get the lost black characters back by changing the black font color from hex #000000 to #000001.

Comment 21 Kaloyan Petrov 2016-06-02 17:55:42 UTC
Updating to kernel-4.5.4-200.fc23 I have no fonts issues.

Comment 22 Kaloyan Petrov 2016-06-03 05:01:27 UTC
Sorry for reporting it too early. It happened again after a second resume. Font corruption is in 4.5.5 too.

Comment 23 markusN 2016-06-10 18:54:37 UTC
Just got the screen corruption again after today's resume.

As an experiment, I removed Adobe's flash plugin:

dnf remove flash-plugin

and the missing characters showed up again by themselves (kind of self-healing)!
I didn't even log out. Interesting.


Next, checking the systemdlog, I found "GPU HANG" in the "resume" part of the log:

journalctl -b -0
[...]
Jun 10 20:27:08 oboe.localdomain nm-dispatcher[22373]: Dispatching action 'pre-up' for wlp2s0
...
Jun 10 20:27:08 oboe.localdomain NetworkManager[1011]: <info>  NetworkManager state is now CONNECTED_GLOBAL
Jun 10 20:27:09 oboe.localdomain avahi-daemon[838]: Registering new address record for fe80::1234:4321:feb4:4aa3 on wlp2s0.*.
Jun 10 20:27:11 oboe.localdomain kernel: [drm] stuck on render ring
Jun 10 20:27:11 oboe.localdomain kernel: [drm] GPU HANG: ecode 7:0:0x85ffbff8, in chrome [11034], reason: Ring hung, action: reset
Jun 10 20:27:11 oboe.localdomain kernel: [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
Jun 10 20:27:11 oboe.localdomain kernel: [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
Jun 10 20:27:11 oboe.localdomain kernel: [drm] drm/i915 developers can then reassign to the right component if it's not a kernel is
Jun 10 20:27:11 oboe.localdomain kernel: [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
Jun 10 20:27:11 oboe.localdomain kernel: [drm] GPU crash dump saved to /sys/class/drm/card0/error
Jun 10 20:27:11 oboe.localdomain kernel: drm/i915: Resetting chip after gpu hang
Jun 10 20:27:11 oboe.localdomain org.xfce.FileManager[1340]: [11034:11034:0610/202711:ERROR:gles2_cmd_decoder.cc(12769)] Offscreen 
Jun 10 20:27:11 oboe.localdomain org.xfce.FileManager[1340]: [11034:11034:0610/202711:ERROR:gles2_cmd_decoder.cc(3623)]   GLES2Deco
Jun 10 20:27:11 oboe.localdomain org.xfce.FileManager[1340]: [11034:11034:0610/202711:ERROR:gpu_command_buffer_stub.cc(1138)] Exiti
Jun 10 20:27:11 oboe.localdomain org.xfce.FileManager[1340]: [11034:11034:0610/202711:ERROR:gpu_command_buffer_stub.cc(1138)] Exiti
Jun 10 20:27:12 oboe.localdomain kernel: usb 1-1.1: New USB device found, idVendor=04ca, idProduct=3005
...
Jun 10 20:27:12 oboe.localdomain systemd[1]: Starting Load/Save RF Kill Switch Status of rfkill13...
Jun 10 20:27:12 oboe.localdomain systemd[1]: Reached target Bluetooth.
Jun 10 20:27:12 oboe.localdomain systemd[1]: Starting Bluetooth.
...
Jun 10 20:27:17 oboe.localdomain kernel: [drm] stuck on render ring
Jun 10 20:27:17 oboe.localdomain kernel: [drm] GPU HANG: ecode 7:0:0x85ffbff8, in chrome [11034], reason: Ring hung, action: reset
Jun 10 20:27:17 oboe.localdomain kernel: drm/i915: Resetting chip after gpu hang
[...]

I removed the flash RPM a few minutes later:

Jun 10 20:32:21 INFO 
Removed:
  flash-plugin.x86_64 11.2.202.621-release

All XFCE looks fine again, self-recovered after removal of libflashplayer.so?

Comment 24 markusN 2016-08-28 20:20:58 UTC
FWIW, the issue is gone with Fedora 24.

Comment 25 aaronsloman 2016-09-26 22:48:30 UTC
(In reply to markusN from comment #24)
> FWIW, the issue is gone with Fedora 24.

I had this problem on F22, but was not aware of the 'touch' solution in Comment 19.

I installed F24 on my Dell Latitude E6410 a few days ago. It's basically the XFCE version of Fedora, but I use the ctwm window manager.

Occasionally on gnome text panels I still get some partially corrupted text. So for me it has not completely gone.

It looks as if the "magical" fix mentioned above works for me (on one test so far).

So I have defined a little command 'fixfonts' that does "sudo touch /etc/fonts/fonts.conf"

It worked on the one occasion I have so far had to test it.

Comment 26 aaronsloman 2016-09-29 00:42:23 UTC
(In reply to aaronsloman from comment #25)
> It worked on the one occasion I have so far had to test it.

I think that was just random good luck. The corrupted font problem remains (running Fedora 24).
Editing or 'touching' /etc/fonts/fonts.conf does not fix the displayed text.


Unlike comment 19 my font problems seem to be (temporarily) removed by exiting graphical mode, i.e. going back to text only mode, and then re-starting X and the window manager.

In my case the problems all seem to occur in gnome menus or settings panels. E.g. web pages and pdf files are not affected.

Comment 27 aaronsloman 2016-10-05 20:36:05 UTC
Compare bug #1317475

As reported there I seem to have fixed the problem on my Dell Latitude E6410 running F24 by inserting Option "AccelMethod" "uxa" in /etc/X11/xorg.conf.d/20-intel.conf, i.e. I created a file /etc/X11/xorg.conf.d/20-intel.conf 
containing:

Section "Device"
   Identifier  "Intel Graphics"
   Driver      "intel"
   Option "AccelMethod" "uxa"
EndSection

based on instructions found here:
https://fedoramagazine.org/solution-graphics-issues-intel-graphics-chipsets-fedora-22/ 

Users should not have to find that out and do it themselves.

Comment 28 Hans de Goede 2016-10-06 08:22:08 UTC
Hi,

If this is an intel sna issue (which it seems to be since switching to uxa helps), please file a bug upstream:
https://01.org/linuxgraphics/documentation/how-report-bugs

Note there is no need to provide all the dumps they ask for / use the latest kernel since this is a userspace issue not a kernel issue.

Note that for F26+ we are planning on switching almost all intel gfx from xorg-x11-drv-intel to the modesetting driver, because of continued issues like this one with the intel drv.

You can already make this switch on current Fedora releases by doing:

sudo rpm -e xorg-x11-drivers xorg-x11-drv-intel

And undo the change by doing:

sudo dnf install xorg-x11-drivers xorg-x11-drv-intel

Regards,

Hans

Comment 29 Hans de Goede 2016-10-06 08:22:59 UTC
p.s.

For filing the bug upstream you will want to use the: "1.2 - 2D xf86-video-intel" instructions.

Comment 30 markusN 2016-10-06 08:30:33 UTC
(In reply to markusN from comment #24)
> FWIW, the issue is gone with Fedora 24.

Importantly, I have the Option "AccelMethod" "uxa" active as per comments above and per Comment 27

Comment 31 aaronsloman 2016-10-06 12:56:17 UTC
(In reply to Hans de Goede from comment #28)

> If this is an intel sna issue (which it seems to be since switching to uxa
> helps), please file a bug upstream:
> https://01.org/linuxgraphics/documentation/how-report-bugs

Done:
https://bugs.freedesktop.org/show_bug.cgi?id=98108

> 
> Note there is no need to provide all the dumps they ask for / use the latest
> kernel since this is a userspace issue not a kernel issue.

I have been using kernel 4.8.0-0.rc8.git2.2.fc26.x86_64 as recommended to get over another i915 bug.

> Note that for F26+ we are planning on switching almost all intel gfx from
> xorg-x11-drv-intel to the modesetting driver, because of continued issues
> like this one with the intel drv.
> 
> You can already make this switch on current Fedora releases by doing:
> 
> sudo rpm -e xorg-x11-drivers xorg-x11-drv-intel 

I did not have xorg-x11-drivers installed -- apparently not part of the default in F24 XFCE version. 

However, removing xorg-x11-drv-intel made it impossible for me to start the X window system. I could boot at level 3, but 'startx' failed. When I tried 'init 5' as superuser the machine froze and I had to turn off power to reboot. Fortunately my default boot is to level 3, so I was able to reinstall xorg-x11-drivers and run X

I thought I should report this in case anyone else is tempted to follow the instruction.

Comment 32 aaronsloman 2016-10-18 23:07:41 UTC
New information. Following a recommendation to use "blt" rather than "uxa" or "sna" in /etc/X11/xorg.conf.d/20-intel.conf I tried that, and also did before/after tests using gtkperf. The results were impressive so I am now using "blt".

Details including test results can be found in the latest comment (number 34) here

https://bugs.freedesktop.org/show_bug.cgi?id=88584

Comment 33 markusN 2016-10-20 17:06:04 UTC
(In reply to aaronsloman from comment #32)
> New information. Following a recommendation to use "blt" rather than "uxa"
> or "sna" in /etc/X11/xorg.conf.d/20-intel.conf I tried that, and also did
> before/after tests using gtkperf. The results were impressive so I am now
> using "blt".

Wow - I just switched

#Option  "AccelMethod"  "uxa"
Option  "AccelMethod"  "blt"

and the gtkperf execution time got reduced from Total time: 5.68 (uxa)
to Total time: 3.51 (blt).

Thanks for the hint, will keep the "blt" setting to see if it is stable.

Comment 34 Fedora End Of Life 2016-11-25 07:15:05 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 35 Fedora End Of Life 2016-12-20 19:47:38 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.